Mail archive
alpine-aports

[alpine-aports] [PATCH 3/4] update s6 to 2.2.4.0, move its binaries to /bin

From: Laurent Bercot <ska-devel_at_skarnet.org>
Date: Mon, 16 Nov 2015 12:44:53 +0100

---
 main/s6/APKBUILD | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)
diff --git a/main/s6/APKBUILD b/main/s6/APKBUILD
index c049a77..a960504 100644
--- a/main/s6/APKBUILD
+++ b/main/s6/APKBUILD
_at_@ -1,7 +1,7 @@
+# Maintainer: Laurent Bercot <ska-devel_at_skarnet.org>
 # Contributor: John Regan <john_at_jrjrtech.com>
-# Maintainer: John Regan <john_at_jrjrtech.com>
 pkgname=s6
-pkgver=2.2.3.1
+pkgver=2.2.4.0
 pkgrel=0
 pkgdesc="skarnet.org's small & secure supervision software suite."
 url="http://skarnet.org/software/$pkgname/"
_at_@ -11,7 +11,7 @@ depends="skalibs execline"
 depends_dev="skalibs-dev execline-dev"
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
_at_@ -28,15 +28,15 @@ prepare() {
 build() {
 	cd "$_builddir"
 	./configure \
-		--build=$CBUILD \
 		--host=$CHOST \
 		--enable-shared \
 		--enable-static \
 		--disable-allstatic \
-		--prefix=/usr \
 		--libdir=/usr/lib \
+		--with-dynlib=/lib \
 		|| return 1
 	make || return 1
+	make strip || return 1
 }
 
 package() {
_at_@ -44,6 +44,12 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="461f4c169bcb00ad668a9f6180489a4c  s6-2.2.3.1.tar.gz"
-sha256sums="56c5df1be85458b10ce293a710727be9bb78e6b123484e488ca484c6bc392303  s6-2.2.3.1.tar.gz"
-sha512sums="9bcc4af5133501f9c904b7d856506ac606532bf62a96b3fb6d686c44136953254d9bbac90519cacc101164bad95add16e662a1c6612e07f4988a44ddf25d93d5  s6-2.2.3.1.tar.gz"
+doc() {
+	default_doc
+	mkdir -p "$subpkgdir/usr/share/doc"
+	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
+}
+
+md5sums="6b6cba589a4a72bba68819bcc00124b4  s6-2.2.4.0.tar.gz"
+sha256sums="9ca153e240c01fe758b0b9ce9c92318517f1c009e8485a3367a317c386d40158  s6-2.2.4.0.tar.gz"
+sha512sums="33da8866fa62b089c86b4add893c0d9ba34b5fd79a69f41661545020ad8a7309e1a1fe4c807aeb1ddbe87850687f05e969321c69487b63f3a7fad885a25f0a92  s6-2.2.4.0.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 16 2015 - 12:44:53 GMT